Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
args_info Struct Reference

`#include <rb_mjit_min_header-2.7.0.h>`

## Data Fields
VALUE * | argv
int | argc
int | rest_index
int | rest_dupped
const struct rb_call_info_kw_arg * | kw_arg
VALUE * | kw_argv
VALUE | rest

## Detailed Description

Definition at line 22 of file vm_args.c.

## Field Documentation

## ◆ argc

int args_info::argc

Definition at line 25 of file vm_args.c.

## ◆ argv

VALUE * args_info::argv

Definition at line 24 of file vm_args.c.

## ◆ kw_arg

const struct rb_call_info_kw_arg * args_info::kw_arg

Definition at line 30 of file vm_args.c.

## ◆ kw_argv

VALUE * args_info::kw_argv

Definition at line 31 of file vm_args.c.

## ◆ rest

VALUE args_info::rest

Definition at line 32 of file vm_args.c.

## ◆ rest_dupped

int args_info::rest_dupped

Definition at line 29 of file vm_args.c.

## ◆ rest_index

int args_info::rest_index

Definition at line 28 of file vm_args.c.

The documentation for this struct was generated from the following files:

- vm_args.c
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h